/* 
   +----------------------------------------------------------------------+
   | PHP Version 4                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2002 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Sara Golemon <pollita@php.net>                               |
   +----------------------------------------------------------------------+
*/

#ifndef PHP_GOPHER_H
#define PHP_GOPHER_H

#if WITH_GOPHER

#define GOPHER_UNKNOWN		-1
#define GOPHER_DOCUMENT		0
#define GOPHER_DIRECTORY	1
#define GOPHER_BINHEX		4
#define GOPHER_DOSBINARY	5
#define GOPHER_UUENCODED	6
#define GOPHER_BINARY		9
#define GOPHER_HTTP			254
#define GOPHER_INFO			255

extern zend_module_entry gopher_module_entry;
#define phpext_gopher_ptr &gopher_module_entry

PHP_MINIT_FUNCTION(gopher);
PHP_MSHUTDOWN_FUNCTION(gopher);
PHP_MINFO_FUNCTION(gopher);

PHP_FUNCTION(gopher_parsedir);

#else

#define phpext_gopher_ptr NULL

#endif /* WITH_GOPHER */

#endif /* PHP_GOPHER_H */
